#include<bits/stdc++.h>
using namespace std;
int n,k,i,j;
int a[20001];
int main()
{
    cin >> n >> k;
    for(int i=0;i<n;i++)
    {
        cin >> a[i];
        if(a[i]==k) j=i;
    }
    if(a[n-1]!=k)
    {
        cout << a[j+1];
    }
    else
    {
        cout << a[0];
    }
}